Printable (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.print
Interface Printable

public interface Printable

The `Printable` interface is implemented by the `print` methods of the current page painter, which is called by the printing system to render a page. When building a `Pageable`, pairs of `PageFormat` instances and instances that implement this interface are used to describe each page. The instance implementing `Printable` is called to print the page's graphics.

See Also:
  `Pageable`, `PageFormat`, `PrinterJob`

Field Summary
`static int` | `NO_SUCH_PAGE` Returned from `print` to signify that the `pageIndex` is too large and that the requested page does not exist.
`static int` | `PAGE_EXISTS` Returned from `print(Graphics, PageFormat, int)` to signify that the requested page was rendered.

Method Summary
`int` | `print(Graphics graphics, PageFormat pageFormat, int pageIndex)` Prints the page at the specified index into the specified `Graphics` context in the specified format.

Field Detail

### PAGE_EXISTS

    public static final int PAGE_EXISTS

  Returned from `print(Graphics, PageFormat, int)` to signify that the requested page was rendered.

  See Also:
    Constant Field Values

### NO_SUCH_PAGE

    public static final int NO_SUCH_PAGE

  Returned from `print` to signify that the `pageIndex` is too large and that the requested page does not exist.

  See Also:
    Constant Field Values

Method Detail

### print

    public int print(Graphics graphics,
                     PageFormat pageFormat,
                     int pageIndex)
              throws PrinterException

  Prints the page at the specified index into the specified `Graphics` context in the specified format. A `PrinterJob` calls the `Printable` interface to request that a page be rendered into the context specified by `graphics`. The format of the page to be drawn is specified by `pageFormat`. The zero based index of the requested page is specified by `pageIndex`. If the requested page does not exist then this method returns NO_SUCH_PAGE; otherwise PAGE_EXISTS is returned. The `Graphics` class or subclass implements the `PrinterGraphics` interface to provide additional information. If the `Printable` object aborts the print job then it throws a `PrinterException`.

  Parameters:
    `graphics` - the context into which the page is drawn
    `pageFormat` - the size and orientation of the page being drawn
    `pageIndex` - the zero based index of the page to be drawn
  Returns:
    PAGE_EXISTS if the page is rendered successfully or NO_SUCH_PAGE if `pageIndex` specifies a non-existent page.
  Throws:
    `PrinterException` - thrown when the print job is terminated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.